package net.lemnik.eodsql.spi;

import java.lang.reflect.Method;

import java.lang.annotation.Annotation;

import net.lemnik.eodsql.InvalidQueryException;

/**
 * This interface can be used to provide third-party
 * {@code MethodImplementation} objects.
 *
 * @author Jason Morris
 */
public interface MethodImplementationFactory<A extends Annotation> {

    void validate(Method method) throws InvalidQueryException;

    MethodImplementation<A> createImplementation(Method method);

}
