package net.lemnik.eodsql.spi;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Created on 2008/05/19
 * @author Jason Morris
 */
public class ResultSetResource implements Resource<ResultSet> {
    private ResultSet results;

    private boolean closed = false;

    public ResultSetResource(ResultSet results) {
        this.results = results;
    }

    public ResultSet get() {
        return results;
    }

    public boolean isClosed() {
        return closed;
    }

    public void close() throws SQLException {
        if(!closed) {
            results.close();
            closed = true;
        }
    }

    public Class<ResultSet> getResourceType() {
        return ResultSet.class;
    }
}
