package net.lemnik.eodsql.spi;

import java.sql.SQLException;
import java.sql.Statement;

/**
 * Created on 2008/05/19
 * @author Jason Morris
 */
public class StatementResource implements Resource<Statement> {
    private Statement statement;

    private boolean closed = false;

    public StatementResource(Statement statement) {
        this.statement = statement;
    }

    public Statement get() {
        return statement;
    }

    public boolean isClosed() {
        return closed;
    }

    public void close() throws SQLException {
        if(!closed) {
            statement.close();
            closed = true;
        }
    }

    public Class<Statement> getResourceType() {
        return Statement.class;
    }
}
